低危 ntpd 4.2.8 Remote Configuration 拒绝服务漏洞

CVE编号

CVE-2015-7850

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-08-08
漏洞描述
NTP(Network Time Protocol,网络时间协议)是一种以数据包交换把两台电脑的时钟同步化的网络协议。

NTP 4.2.8p4之前版本和4.3.77之前4.3.x版本中存在安全漏洞。当程序允许远程配置时,攻击者可通过发送特制的数据包利用该漏洞造成拒绝服务(ntpd崩溃和无限循环),创建较大的日志文件,并获取key文件。
解决建议
目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
http://support.ntp.org/bin/view/Main/NtpBug2917
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 netapp oncommand_balance - -
运行在以下环境
应用 netapp oncommand_performance_manager - -
运行在以下环境
应用 netapp oncommand_unified_manager - -
运行在以下环境
应用 ntp ntp * From
(including)
4.2.0
Up to
(excluding)
4.2.8
运行在以下环境
应用 ntp ntp * From
(including)
4.3.0
Up to
(excluding)
4.3.77
运行在以下环境
应用 ntp ntp 4.2.8 -
运行在以下环境
系统 debian_6 ntp * Up to
(excluding)
1:4.2.6.p2+dfsg-1+deb6u4
运行在以下环境
系统 debian_7 ntp * Up to
(excluding)
1:4.2.6.p5+dfsg-2+deb7u6
运行在以下环境
系统 debian_8 ntp * Up to
(excluding)
1:4.2.6.p5+dfsg-7+deb8u1
运行在以下环境
系统 opensuse_13.2 ntp * Up to
(excluding)
4.2.8p7-25.15.1
运行在以下环境
系统 opensuse_Leap_42.1 ntp * Up to
(excluding)
4.2.8p4-9.2
运行在以下环境
系统 suse_11_SP4 ntp * Up to
(excluding)
4.2.8p4-5.1
运行在以下环境
系统 suse_12 ntp * Up to
(excluding)
4.2.8p6-46.5.2
运行在以下环境
系统 ubuntu_14.04 ntp * Up to
(excluding)
1:4.2.6.p5+dfsg-3ubuntu2.14.04.5
阿里云评分
2.7
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-835 不可达退出条件的循环(无限循环)
阿里云安全产品覆盖情况